
<?php
  //Инициализируем переменные
  $FileName = $_GET['file'];
  $FileName = "../txt/".$FileName;
  $ShowStatus = $_GET['showstatus'];
  $PollArr = file($FileName);
  //находим строку, которая отвечает за видимость
  $ShowStLine = (count($PollArr)-1)-2;
  //изменяем строку в файле
  $PollArr[$ShowStLine] = "[show]{$ShowStatus}[/show]\n";
  $PollStr = implode('', $PollArr);
  SaveStringInFile($FileName, $PollStr, 'w');
  Refresh($PageTmp);
?>